package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_mer
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMer implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 机构编号
     */
    private String orgNo;

    /**
     * 机构名称
     */
    private String orgName;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 代理商名称
     */
    private String agentName;

    /**
     * 业务员id
     */
    private Long salesmanId;

    /**
     * 业务员名称
     */
    private String salesmanName;

    /**
     * 开户人手机号
     */
    private String regPhone;

    /**
     * 开户人名称
     */
    private String regName;

    /**
     * 开户人邮箱
     */
    private String regEmail;

    /**
     * 商户类型  数据字典：MERCHANT_TYPE
     */
    private Integer merType;

    /**
     * 商户号
     */
    private String merNo;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 商户简称
     */
    private String merAbbreviate;

    /**
     * 商户经营类型  1：线下  2：线上
     */
    private Integer merOperateType;

    /**
     * 商户线上产品类型 1：APP    2：网站    3：公众号/小程序/服务窗
     */
    private Integer merOnlineType;

    /**
     * 商户线上产品名称
     */
    private String merOnlineName;

    /**
     * 商户MCC编号
     */
    private String merMccCode;

    /**
     * 商户MCC名称
     */
    private String merMccName;

    /**
     * 商户营业执照图片
     */
    private String blisUrl;

    /**
     * 商户营业执照名称
     */
    private String blisName;

    /**
     * 商户营业执照号
     */
    private String blisNo;

    /**
     * 商户营业执照注册地址
     */
    private String blisRegAddress;

    /**
     * 商户营业执照期限类型  1：有效期   2：长期
     */
    private Integer blisPeriodType;

    /**
     * 商户营业期限开始时间
     */
    private String blisPeriodStart;

    /**
     * 商户营业期限结束时间
     */
    private String blisPeriodEnd;

    /**
     * 法人名称
     */
    private String larName;

    /**
     * 法人身份证号
     */
    private String larIdCard;

    /**
     * 法人身份证人像面图片
     */
    private String larIdCardPortraitImg;

    /**
     * 法人身份证国徽面图片
     */
    private String larIdCardNationalEmblemImg;

    /**
     * 发送身份证居住地址
     */
    private String larIdCardAddress;

    /**
     * 法人身份证有效期类型  1：有效期   2：长期
     */
    private Integer larIdCardPeriodType;

    /**
     * 法人身份证有效期开始时间
     */
    private String larIdCardPeriodStart;

    /**
     * 法人身份证有效期结束时间
     */
    private String larIdCardPeriodEnd;

    /**
     * 完善状态 1：已完善  2：基本信息  3：结算信息  4：门店信息
     */
    private Integer completeStatus;

    /**
     * 商户状态 0：删除  1：正常   2：编辑中  3：审核中  4：审核失败  5：违规
     */
    private Integer merStatus;

    /**
     * 创建业务员id
     */
    private Long createSalesmanId;

    /**
     * 创建业务员名称
     */
    private String createSalesmanName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrgNo() {
        return orgNo;
    }

    public void setOrgNo(String orgNo) {
        this.orgNo = orgNo;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getSalesmanId() {
        return salesmanId;
    }

    public void setSalesmanId(Long salesmanId) {
        this.salesmanId = salesmanId;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public String getRegPhone() {
        return regPhone;
    }

    public void setRegPhone(String regPhone) {
        this.regPhone = regPhone;
    }

    public String getRegName() {
        return regName;
    }

    public void setRegName(String regName) {
        this.regName = regName;
    }

    public String getRegEmail() {
        return regEmail;
    }

    public void setRegEmail(String regEmail) {
        this.regEmail = regEmail;
    }

    public Integer getMerType() {
        return merType;
    }

    public void setMerType(Integer merType) {
        this.merType = merType;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public String getMerAbbreviate() {
        return merAbbreviate;
    }

    public void setMerAbbreviate(String merAbbreviate) {
        this.merAbbreviate = merAbbreviate;
    }

    public Integer getMerOperateType() {
        return merOperateType;
    }

    public void setMerOperateType(Integer merOperateType) {
        this.merOperateType = merOperateType;
    }

    public Integer getMerOnlineType() {
        return merOnlineType;
    }

    public void setMerOnlineType(Integer merOnlineType) {
        this.merOnlineType = merOnlineType;
    }

    public String getMerOnlineName() {
        return merOnlineName;
    }

    public void setMerOnlineName(String merOnlineName) {
        this.merOnlineName = merOnlineName;
    }

    public String getMerMccCode() {
        return merMccCode;
    }

    public void setMerMccCode(String merMccCode) {
        this.merMccCode = merMccCode;
    }

    public String getMerMccName() {
        return merMccName;
    }

    public void setMerMccName(String merMccName) {
        this.merMccName = merMccName;
    }

    public String getBlisUrl() {
        return blisUrl;
    }

    public void setBlisUrl(String blisUrl) {
        this.blisUrl = blisUrl;
    }

    public String getBlisName() {
        return blisName;
    }

    public void setBlisName(String blisName) {
        this.blisName = blisName;
    }

    public String getBlisNo() {
        return blisNo;
    }

    public void setBlisNo(String blisNo) {
        this.blisNo = blisNo;
    }

    public String getBlisRegAddress() {
        return blisRegAddress;
    }

    public void setBlisRegAddress(String blisRegAddress) {
        this.blisRegAddress = blisRegAddress;
    }

    public Integer getBlisPeriodType() {
        return blisPeriodType;
    }

    public void setBlisPeriodType(Integer blisPeriodType) {
        this.blisPeriodType = blisPeriodType;
    }

    public String getBlisPeriodStart() {
        return blisPeriodStart;
    }

    public void setBlisPeriodStart(String blisPeriodStart) {
        this.blisPeriodStart = blisPeriodStart;
    }

    public String getBlisPeriodEnd() {
        return blisPeriodEnd;
    }

    public void setBlisPeriodEnd(String blisPeriodEnd) {
        this.blisPeriodEnd = blisPeriodEnd;
    }

    public String getLarName() {
        return larName;
    }

    public void setLarName(String larName) {
        this.larName = larName;
    }

    public String getLarIdCard() {
        return larIdCard;
    }

    public void setLarIdCard(String larIdCard) {
        this.larIdCard = larIdCard;
    }

    public String getLarIdCardPortraitImg() {
        return larIdCardPortraitImg;
    }

    public void setLarIdCardPortraitImg(String larIdCardPortraitImg) {
        this.larIdCardPortraitImg = larIdCardPortraitImg;
    }

    public String getLarIdCardNationalEmblemImg() {
        return larIdCardNationalEmblemImg;
    }

    public void setLarIdCardNationalEmblemImg(String larIdCardNationalEmblemImg) {
        this.larIdCardNationalEmblemImg = larIdCardNationalEmblemImg;
    }

    public String getLarIdCardAddress() {
        return larIdCardAddress;
    }

    public void setLarIdCardAddress(String larIdCardAddress) {
        this.larIdCardAddress = larIdCardAddress;
    }

    public Integer getLarIdCardPeriodType() {
        return larIdCardPeriodType;
    }

    public void setLarIdCardPeriodType(Integer larIdCardPeriodType) {
        this.larIdCardPeriodType = larIdCardPeriodType;
    }

    public String getLarIdCardPeriodStart() {
        return larIdCardPeriodStart;
    }

    public void setLarIdCardPeriodStart(String larIdCardPeriodStart) {
        this.larIdCardPeriodStart = larIdCardPeriodStart;
    }

    public String getLarIdCardPeriodEnd() {
        return larIdCardPeriodEnd;
    }

    public void setLarIdCardPeriodEnd(String larIdCardPeriodEnd) {
        this.larIdCardPeriodEnd = larIdCardPeriodEnd;
    }

    public Integer getCompleteStatus() {
        return completeStatus;
    }

    public void setCompleteStatus(Integer completeStatus) {
        this.completeStatus = completeStatus;
    }

    public Integer getMerStatus() {
        return merStatus;
    }

    public void setMerStatus(Integer merStatus) {
        this.merStatus = merStatus;
    }

    public Long getCreateSalesmanId() {
        return createSalesmanId;
    }

    public void setCreateSalesmanId(Long createSalesmanId) {
        this.createSalesmanId = createSalesmanId;
    }

    public String getCreateSalesmanName() {
        return createSalesmanName;
    }

    public void setCreateSalesmanName(String createSalesmanName) {
        this.createSalesmanName = createSalesmanName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMer other = (BsMer) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrgNo() == null ? other.getOrgNo() == null : this.getOrgNo().equals(other.getOrgNo()))
            && (this.getOrgName() == null ? other.getOrgName() == null : this.getOrgName().equals(other.getOrgName()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getAgentName() == null ? other.getAgentName() == null : this.getAgentName().equals(other.getAgentName()))
            && (this.getSalesmanId() == null ? other.getSalesmanId() == null : this.getSalesmanId().equals(other.getSalesmanId()))
            && (this.getSalesmanName() == null ? other.getSalesmanName() == null : this.getSalesmanName().equals(other.getSalesmanName()))
            && (this.getRegPhone() == null ? other.getRegPhone() == null : this.getRegPhone().equals(other.getRegPhone()))
            && (this.getRegName() == null ? other.getRegName() == null : this.getRegName().equals(other.getRegName()))
            && (this.getRegEmail() == null ? other.getRegEmail() == null : this.getRegEmail().equals(other.getRegEmail()))
            && (this.getMerType() == null ? other.getMerType() == null : this.getMerType().equals(other.getMerType()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getMerAbbreviate() == null ? other.getMerAbbreviate() == null : this.getMerAbbreviate().equals(other.getMerAbbreviate()))
            && (this.getMerOperateType() == null ? other.getMerOperateType() == null : this.getMerOperateType().equals(other.getMerOperateType()))
            && (this.getMerOnlineType() == null ? other.getMerOnlineType() == null : this.getMerOnlineType().equals(other.getMerOnlineType()))
            && (this.getMerOnlineName() == null ? other.getMerOnlineName() == null : this.getMerOnlineName().equals(other.getMerOnlineName()))
            && (this.getMerMccCode() == null ? other.getMerMccCode() == null : this.getMerMccCode().equals(other.getMerMccCode()))
            && (this.getMerMccName() == null ? other.getMerMccName() == null : this.getMerMccName().equals(other.getMerMccName()))
            && (this.getBlisUrl() == null ? other.getBlisUrl() == null : this.getBlisUrl().equals(other.getBlisUrl()))
            && (this.getBlisName() == null ? other.getBlisName() == null : this.getBlisName().equals(other.getBlisName()))
            && (this.getBlisNo() == null ? other.getBlisNo() == null : this.getBlisNo().equals(other.getBlisNo()))
            && (this.getBlisRegAddress() == null ? other.getBlisRegAddress() == null : this.getBlisRegAddress().equals(other.getBlisRegAddress()))
            && (this.getBlisPeriodType() == null ? other.getBlisPeriodType() == null : this.getBlisPeriodType().equals(other.getBlisPeriodType()))
            && (this.getBlisPeriodStart() == null ? other.getBlisPeriodStart() == null : this.getBlisPeriodStart().equals(other.getBlisPeriodStart()))
            && (this.getBlisPeriodEnd() == null ? other.getBlisPeriodEnd() == null : this.getBlisPeriodEnd().equals(other.getBlisPeriodEnd()))
            && (this.getLarName() == null ? other.getLarName() == null : this.getLarName().equals(other.getLarName()))
            && (this.getLarIdCard() == null ? other.getLarIdCard() == null : this.getLarIdCard().equals(other.getLarIdCard()))
            && (this.getLarIdCardPortraitImg() == null ? other.getLarIdCardPortraitImg() == null : this.getLarIdCardPortraitImg().equals(other.getLarIdCardPortraitImg()))
            && (this.getLarIdCardNationalEmblemImg() == null ? other.getLarIdCardNationalEmblemImg() == null : this.getLarIdCardNationalEmblemImg().equals(other.getLarIdCardNationalEmblemImg()))
            && (this.getLarIdCardAddress() == null ? other.getLarIdCardAddress() == null : this.getLarIdCardAddress().equals(other.getLarIdCardAddress()))
            && (this.getLarIdCardPeriodType() == null ? other.getLarIdCardPeriodType() == null : this.getLarIdCardPeriodType().equals(other.getLarIdCardPeriodType()))
            && (this.getLarIdCardPeriodStart() == null ? other.getLarIdCardPeriodStart() == null : this.getLarIdCardPeriodStart().equals(other.getLarIdCardPeriodStart()))
            && (this.getLarIdCardPeriodEnd() == null ? other.getLarIdCardPeriodEnd() == null : this.getLarIdCardPeriodEnd().equals(other.getLarIdCardPeriodEnd()))
            && (this.getCompleteStatus() == null ? other.getCompleteStatus() == null : this.getCompleteStatus().equals(other.getCompleteStatus()))
            && (this.getMerStatus() == null ? other.getMerStatus() == null : this.getMerStatus().equals(other.getMerStatus()))
            && (this.getCreateSalesmanId() == null ? other.getCreateSalesmanId() == null : this.getCreateSalesmanId().equals(other.getCreateSalesmanId()))
            && (this.getCreateSalesmanName() == null ? other.getCreateSalesmanName() == null : this.getCreateSalesmanName().equals(other.getCreateSalesmanName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrgNo() == null) ? 0 : getOrgNo().hashCode());
        result = prime * result + ((getOrgName() == null) ? 0 : getOrgName().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getAgentName() == null) ? 0 : getAgentName().hashCode());
        result = prime * result + ((getSalesmanId() == null) ? 0 : getSalesmanId().hashCode());
        result = prime * result + ((getSalesmanName() == null) ? 0 : getSalesmanName().hashCode());
        result = prime * result + ((getRegPhone() == null) ? 0 : getRegPhone().hashCode());
        result = prime * result + ((getRegName() == null) ? 0 : getRegName().hashCode());
        result = prime * result + ((getRegEmail() == null) ? 0 : getRegEmail().hashCode());
        result = prime * result + ((getMerType() == null) ? 0 : getMerType().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getMerAbbreviate() == null) ? 0 : getMerAbbreviate().hashCode());
        result = prime * result + ((getMerOperateType() == null) ? 0 : getMerOperateType().hashCode());
        result = prime * result + ((getMerOnlineType() == null) ? 0 : getMerOnlineType().hashCode());
        result = prime * result + ((getMerOnlineName() == null) ? 0 : getMerOnlineName().hashCode());
        result = prime * result + ((getMerMccCode() == null) ? 0 : getMerMccCode().hashCode());
        result = prime * result + ((getMerMccName() == null) ? 0 : getMerMccName().hashCode());
        result = prime * result + ((getBlisUrl() == null) ? 0 : getBlisUrl().hashCode());
        result = prime * result + ((getBlisName() == null) ? 0 : getBlisName().hashCode());
        result = prime * result + ((getBlisNo() == null) ? 0 : getBlisNo().hashCode());
        result = prime * result + ((getBlisRegAddress() == null) ? 0 : getBlisRegAddress().hashCode());
        result = prime * result + ((getBlisPeriodType() == null) ? 0 : getBlisPeriodType().hashCode());
        result = prime * result + ((getBlisPeriodStart() == null) ? 0 : getBlisPeriodStart().hashCode());
        result = prime * result + ((getBlisPeriodEnd() == null) ? 0 : getBlisPeriodEnd().hashCode());
        result = prime * result + ((getLarName() == null) ? 0 : getLarName().hashCode());
        result = prime * result + ((getLarIdCard() == null) ? 0 : getLarIdCard().hashCode());
        result = prime * result + ((getLarIdCardPortraitImg() == null) ? 0 : getLarIdCardPortraitImg().hashCode());
        result = prime * result + ((getLarIdCardNationalEmblemImg() == null) ? 0 : getLarIdCardNationalEmblemImg().hashCode());
        result = prime * result + ((getLarIdCardAddress() == null) ? 0 : getLarIdCardAddress().hashCode());
        result = prime * result + ((getLarIdCardPeriodType() == null) ? 0 : getLarIdCardPeriodType().hashCode());
        result = prime * result + ((getLarIdCardPeriodStart() == null) ? 0 : getLarIdCardPeriodStart().hashCode());
        result = prime * result + ((getLarIdCardPeriodEnd() == null) ? 0 : getLarIdCardPeriodEnd().hashCode());
        result = prime * result + ((getCompleteStatus() == null) ? 0 : getCompleteStatus().hashCode());
        result = prime * result + ((getMerStatus() == null) ? 0 : getMerStatus().hashCode());
        result = prime * result + ((getCreateSalesmanId() == null) ? 0 : getCreateSalesmanId().hashCode());
        result = prime * result + ((getCreateSalesmanName() == null) ? 0 : getCreateSalesmanName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orgNo=").append(orgNo);
        sb.append(", orgName=").append(orgName);
        sb.append(", companyId=").append(companyId);
        sb.append(", companyName=").append(companyName);
        sb.append(", agentId=").append(agentId);
        sb.append(", agentName=").append(agentName);
        sb.append(", salesmanId=").append(salesmanId);
        sb.append(", salesmanName=").append(salesmanName);
        sb.append(", regPhone=").append(regPhone);
        sb.append(", regName=").append(regName);
        sb.append(", regEmail=").append(regEmail);
        sb.append(", merType=").append(merType);
        sb.append(", merNo=").append(merNo);
        sb.append(", merName=").append(merName);
        sb.append(", merAbbreviate=").append(merAbbreviate);
        sb.append(", merOperateType=").append(merOperateType);
        sb.append(", merOnlineType=").append(merOnlineType);
        sb.append(", merOnlineName=").append(merOnlineName);
        sb.append(", merMccCode=").append(merMccCode);
        sb.append(", merMccName=").append(merMccName);
        sb.append(", blisUrl=").append(blisUrl);
        sb.append(", blisName=").append(blisName);
        sb.append(", blisNo=").append(blisNo);
        sb.append(", blisRegAddress=").append(blisRegAddress);
        sb.append(", blisPeriodType=").append(blisPeriodType);
        sb.append(", blisPeriodStart=").append(blisPeriodStart);
        sb.append(", blisPeriodEnd=").append(blisPeriodEnd);
        sb.append(", larName=").append(larName);
        sb.append(", larIdCard=").append(larIdCard);
        sb.append(", larIdCardPortraitImg=").append(larIdCardPortraitImg);
        sb.append(", larIdCardNationalEmblemImg=").append(larIdCardNationalEmblemImg);
        sb.append(", larIdCardAddress=").append(larIdCardAddress);
        sb.append(", larIdCardPeriodType=").append(larIdCardPeriodType);
        sb.append(", larIdCardPeriodStart=").append(larIdCardPeriodStart);
        sb.append(", larIdCardPeriodEnd=").append(larIdCardPeriodEnd);
        sb.append(", completeStatus=").append(completeStatus);
        sb.append(", merStatus=").append(merStatus);
        sb.append(", createSalesmanId=").append(createSalesmanId);
        sb.append(", createSalesmanName=").append(createSalesmanName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}